# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We need to patch the test suite if we have an old version of Test::Builder::Tester
%global old_tbt %(perl -MTest::Builder::Tester -e 'print (($Test::Builder::Tester::VERSION < 1.04) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-Test-HasVersion
Version:	0.014
Release:	3.%{__distinit}%{__distvers}
Summary:	Check Perl modules have version numbers
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Test-HasVersion/
Source0:	http://search.cpan.org/CPAN/authors/id/F/FE/FERREIRA/Test-HasVersion-%{version}.tar.gz
Patch0:		Test-HasVersion-0.012-T::B::T-version.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
# Module Runtime
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(Test::More)
# Optional Tests
BuildRequires:	perl(Test::Pod) >= 1.18
BuildRequires:	perl(Test::Pod::Coverage) >= 1.04
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Do you want to check that every one of your Perl modules in a distribution has
a version number? You want to make sure you don't forget the brand new modules
you just added? Well, this is the module you have been looking for.

Do you want to check someone else's distribution to make sure the author has
not committed the sin of leaving Perl modules without a version that can be
used to tell if you have this or that feature? Test::HasVersion is also for
you.

%prep
%setup -q -n Test-HasVersion-%{version}

# Module wants Test::Builder::Tester 1.04 but 1.01 works OK
%if %{old_tbt}
%patch0 -p1
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{_bindir}/test_version
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::HasVersion.3*

%changelog
* Sat Oct  1 2016 Paul Howarth <paul@city-fan.org> - 0.014-3
- BR: perl-generators where available
- Simplify find command using -delete

* Sun Jan  3 2016 Paul Howarth <paul@city-fan.org> - 0.014-1
- Update to 0.014
  - Fix spelling error in manpage (CPAN RT#110709)
  - Add LICENSE file to the distribution (GH#1)
  - Fix all_pm_version_ok() failure reporting (CPAN RT#78758)
  - Rewrite t/04_all_ok.t using Test::Builder::Tester (CPAN RT#78758)
- Classify buildreqs by usage

* Mon Sep  1 2014 Paul Howarth <paul@city-fan.org> - 0.012-11
- Drop %%defattr, redundant since rpm 4.4

* Sat Jun 30 2012 Paul Howarth <paul@city-fan.org> - 0.012-5
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DETDIR rather than PERL_INSTALL_ROOT
  - Use %%{_fixperms} macro rather than our own chmod incantation

* Tue Aug  9 2011 Paul Howarth <paul@city-fan.org> - 0.012-1
- Initial RPM version
